function diftongYRa(s,t,v,V){
 switch(s.charCodeAt(t+1)){
  case 73:return "&#1101;";  //
  case 85:return v+"&#1091;"; //+
  case 105:return "&#1101;";  //
  case 117:return v+"&#1091;";
  case 1067:return "&#1069;"; //
  case 1068:return "&#1069;";
  case 1069:return "&#1069;";
  case 1070:return "&#1101;";
  case 1071:return "&#1075;"+"&#1101;";
  case 1072:return "&#1069;";
  case 1073:return "&#1075;&#1069;";
  case 1074:return "&#1069;";
  case 1075:return "&#1075;&#1069;";
  case 1076:return "&#1069;";
  case 1077:return "&#1075;&#1069;";
  case 1078:return V+"&#1091;";
  case 1079:return V+"&#1091;";
  case 1080:return V+"&#1091;";
  case 1081:return v+"&#1091;";
  case 1082:return "&#1075;"+v+"&#1091;";
  case 1083:return V+"&#1091;";
  case 1084:return "&#1075;"+V+"&#1091;";
  case 1085:return V+"&#1091;";
  case 1086:return "&#1075;"+V+"&#1091;";
  case 1087:return V+"&#1091;";
  case 1088:return "&#1075;"+V+"&#1091;";
  default: return "";
 }
}

function diftongYRe(s,t,v,V){
 switch(s.charCodeAt(t+1)){
  case 73:return "&#1080;";  //
  case 85:return v+"&#1091;"; //+
  case 105:return "&#1080;";  //
  case 117:return v+"&#1091;";
  case 1067:return "&#1048;"; //
  case 1068:return "&#1048;";
  case 1069:return "&#1048;";
  case 1070:return "&#1080;";
  case 1071:return "&#1075;"+"&#1080;";
  case 1072:return "&#1048;";
  case 1073:return "&#1075;&#1048;";
  case 1074:return "&#1048;";
  case 1075:return "&#1075;&#1048;";
  case 1076:return "&#1048;";
  case 1077:return "&#1075;&#1048;";
  case 1078:return V+"&#1091;";
  case 1079:return V+"&#1091;";
  case 1080:return V+"&#1091;";
  case 1081:return v+"&#1091;";
  case 1082:return "&#1075;"+v+"&#1091;";
  case 1083:return V+"&#1091;";
  case 1084:return "&#1075;"+V+"&#1091;";
  case 1085:return V+"&#1091;";
  case 1086:return "&#1075;"+V+"&#1091;";
  case 1087:return V+"&#1091;";
  case 1088:return "&#1075;"+V+"&#1091;";
  default: return "";
 }
}

function diftongYRh(s,t,v,V){
 switch(s.charCodeAt(t+1)){
  case 85:return v+"&#1091;"; //+
  case 117:return v+"&#1091;";
  case 1078:return V+"&#1091;";
  case 1079:return V+"&#1091;";
  case 1080:return V+"&#1091;";
  case 1081:return v+"&#1091;";
  case 1082:return "&#1075;"+v+"&#1091;";
  case 1083:return V+"&#1091;";
  case 1084:return "&#1075;"+V+"&#1091;";
  case 1085:return V+"&#1091;";
  case 1086:return "&#1075;"+V+"&#1091;";
  case 1087:return V+"&#1091;";
  case 1088:return "&#1075;"+V+"&#1091;";
  default: return "";
 }
}

function diftongYRou(s,t,v,V){
 switch(s.charCodeAt(t+1)){
  case 73:return "&#1080;";  //
  case 105:return "&#1080;"; // 
  case 1067:return "&#1048;"; //
  case 1068:return "&#1048;";
  case 1069:return "&#1048;";
  case 1070:return "&#1080;";
  case 1071:return "&#1075;"+"&#1080;";
  case 1072:return "&#1048;";
  case 1073:return "&#1075;&#1048;";
  case 1074:return "&#1048;";
  case 1075:return "&#1075;&#1048;";
  case 1076:return "&#1048;";
  case 1077:return "&#1075;&#1048;";
  default: return "";
 }
}


function digraphYR(s,t,v,V){
 if (s.length<t+1) return "";
 switch(s.charAt(t+1)){
  case "u":case "U":return "&#1091;";
  default: switch(s.charCodeAt(t+1)){
   case 1078:return "&#1059;";
   case 1079:return "&#1059;";
   case 1080:return "&#1059;";
   case 1081:return "&#1091;";
   case 1082:return "&#1075;"+"&#1091;";
   case 1083:return "&#1059;";
   case 1084:return "&#1075;&#1059;";
   case 1085:return "&#1059;";
   case 1086:return "&#1075;&#1059;";
   case 1087:return "&#1059;";
   case 1088:return "&#1075;&#1059;";
   default: return diftongYRou(s,t,v,V);
  }
 }
}


function translitYR(s){
r='';
for (t=0;t<s.length;t++) {
 switch(s.charAt(t)) {
	case "A": case "a":d=diftongYRa(s,t,"&#1072;","&#1040;");if(d!="") {r+=d;t++;} else r+="&#1072;";break;
	case "B": case "b":r+="&#1074;";break;
	case "G": case "g":if (t){switch(s.charAt(t+1)) {case "G":case "g":case "K":case "k":case "X":case "x":case "J":case "j":r+="&#1085;";break; default: r+="&#1075;";}} else r+="&#1075;";break;
	case "D": case "d":r+="&#1076;";break;
	case "E": case "e":d=diftongYRe(s,t,"&#1101;","&#1069;");if(d!="") {r+=d;t++;} else r+="&#1101;";break;
	case "Z": case "z":r+="&#1076;&#1079;";break;
	case "H": case "h":d=diftongYRh(s,t,"&#1080;","&#1048;");if(d!="") {r+=d;t++;} else r+="&#1080;";break;
	case "Y": case "y":r+="&#1092;";break;
	case "I": case "i":r+="&#1080;";break;
	case "K": case "k":r+="&#1082;";break;
	case "L": case "l":r+="&#1083;";break;
	case "M": case "m":r+="&#1084;";break;
	case "N": case "n":r+="&#1085;";break;
	case "J": case "j":r+="&#1082;&#1089;";break;
	case "O": case "o":d=digraphYR(s,t,"&#1086;","&#1054;");if (d!="") {r+=d; t++;} else r+="&#1086;";break;
	case "P": case "p":r+="&#1087;";break;
	case "R": case "r":r+="&#1088;";break;
	case "S": case "s": case "w":r+="&#1089;";break;
	case "T": case "t":r+="&#1090;";break;
	case "U": case "u":d=diftongYRou(s,t,"&#1080;","&#1048;");if(d!=""){r+=d;t++;} else r+="&#1080;";break;
	case "F": case "f":r+="&#1092;";break;
	case "X": case "x":r+="&#1093;";break;
	case "C": case "c":r+="&#1087;&#1089;";break;
	case "V": case "v":r+="&#1086;";break;
	default: switch(s.charCodeAt(t)) {
		case 35:r+="&#1080;";break;
		case 38:r+="&#1072;";break;
		case 44:r+=" ";break;
		case 61:r+="&#1088;";break;
		case 64:r+="&#1048;";break;
		case 123:r+=" ";break;
		case 125:r+=" ";break;
		case 152:r+="&#1040;";break;
		case 161:r+="&#1075;&#1048;";break;
		case 162:r+="&#1069;";break;
		case 163:r+="&#1048;";break;
		case 164:r+="&#1101;";break;
		case 165:r+="&#1075;&#1048;";break;
		case 166:r+="&#1069;";break;
		case 167:r+="&#1075;&#1069;";break;
		case 169:r+="&#1075;&#1069;";break;
		case 170:r+="&#1048;";break;
		case 172:r+="&#1048;";break;
		case 174:r+="&#1048;";break;
		case 175:r+="&#1054;";break;
		case 176:r+="&#1048;";break;
		case 177:r+="&#1080;";break;
		case 181:r+="&#1048;";break;
		case 182:r+="&#1075;&#1048;";break;
		case 183:r+="&#1048;";break;
		case 186:r+="&#1080;";break;
		case 187:r+="&#1048;";break;
		case 191:r+="&#1048;";break;
		case 192:r+="&#1075;&#1054;";break;
		case 193:r+="&#1048;";break;
		case 194:r+="&#1075;&#1048;";break;
		case 195:r+="&#1054;";break;
		case 198:r+="&#1048;";break;
		case 200:r+="&#1080;";break;
		case 201:r+="";break;
		case 202:r+="&#1048;";break;
		case 203:r+="&#1048;";break;
		case 204:r+="&#1048;";break;
		case 205:r+="&#1075;&#1080;";break;
		case 206:r+="&#1048;";break;
		case 207:r+="&#1075;&#1048;";break;
		case 209:r+="&#1075;";break;
		case 210:r+="&#1054;";break;
		case 211:r+="&#1075;&#1048;";break;
		case 212:r+="&#1048;";break;
		case 213:r+="&#1075;&#1054;";break;
		case 216:r+="&#1048;";break;
		case 217:r+="&#1086;";break;
		case 218:r+="&#1054;";break;
		case 219:r+="&#1080;";break;
		case 223:r+="&#1075;&#1069;";break;
		case 227:r+="&#1040;";break;
		//case 228: see next
		case 229:r+="&#1040;";break;
		case 230:r+="&#1048;";break;
		case 231:r+="&#1040;";break;
		case 232:r+="&#1075;&#1072;";break;
		case 233:r+="&#1072;";break;
		case 234:r+="&#1040;";break;
		case 235:r+="&#1075;&#1040;";break;
		case 236:r+="&#1075;&#1040;";break;
		case 237:r+="&#1040;";break;
		case 238:r+="&#1040;";break;
		case 239:r+="&#1075;&#1040;";break;
		case 241:r+="&#1040;";break;
		case 243:r+="&#1040;";break;
		case 244:r+="&#1072;";break;
		case 245:r+="&#1040;";break;
		case 246:r+="&#1075;&#1072;";break;
		case 247:r+="&#1075;&#1054;";break;
		case 248:r+="&#1075;&#1048;";break;
		case 249:r+="&#1040;";break;
		case 250:r+="&#1075;&#1040;";break;
		case 251:r+="&#1075;&#1040;";break;
		case 252:r+="&#1040;";break;
		case 255:r+="&#1075;&#1054;";break;
		case 1025:r+="&#1069;";break;
		case 1028:r+="&#1075;&#1040;";break;
		case 1029:case 1030:r+="&#1075;&#1080;";break;
		case 1031:r+="&#1048;";break;
		case 1032:r+="&#1048;";break;
		//case 1032: see next
		case 1034:r+="&#1040;";break;
		case 1035:r+="&#1072;";break;
		case 1036:r+="&#1040;";break;
		case 1038:r+="&#1069;";break;
		case 1039:r+="&#1075;&#1072;";break;
		case 1040:r+="&#1048;";break;
		case 1041:r+="&#1075;&#1048;";break;
		case 1042:r+="&#1048;";break;
		case 1043:r+="&#1075;&#1048;";break;
		case 1044:r+="&#1086;";break;
		case 1045:r+="&#1054;";break;
		case 1046:r+="&#1054;";break;
                case 1047:r+="&#1054;";break;
		case 1048:r+="&#1086;";break;
		case 1049:r+="&#1075;&#1086;";break;
		case 1050:r+="&#1054;";break;
		case 1051:r+="&#1075;&#1054;";break;
		case 1052:r+="&#1054;";break;
		case 1053:r+="&#1075;&#1054;";break;
		case 1054:r+="&#1054;";break;
		case 1055:r+="&#1075;&#1054;";break;
		case 1056:r+="&#1054;";break;
		case 1057:r+="&#1054;";break;
		case 1058:r+="&#1054;";break;
		case 1059:r+="&#1086;";break;
		case 1060:r+="&#1075;&#1086;";break;
		case 1061:r+="&#1054;";break;
		case 1062:r+="&#1075;&#1054;";break;
		case 1063:r+="&#1086;";break;
		case 1064:r+="&#1075;&#1086;";break;
		case 1065:r+="&#1086;";break;
		case 1066:r+="&#1075;&#1054;";break;

		case 1067:r+="&#1048;";break;
		case 1068:r+="&#1048;";break;
		case 1069:r+="&#1048;";break;
		case 1070:r+="&#1080;";break;
		case 1071:r+="&#1075;&#1080;";break;
		case 1072:r+="&#1048;";break;
		case 1073:r+="&#1075;&#1048;";break;
		case 1074:r+="&#1048;";break;
		case 1075:r+="&#1075;&#1048;";break;
		case 1076:r+="&#1048;";break;
		case 1077:r+="&#1075;&#1048;";break;

		case 1078:r+="&#1048;";break;
		case 1079:r+="&#1048;";break;
		case 1080:r+="&#1048;";break;
		case 1081:r+="&#1080;";break;
		case 1082:r+="&#1075;&#1080;";break;
		case 1083:r+="&#1048;";break;
		case 1084:r+="&#1075;&#1048;";break;
		case 1085:r+="&#1048;";break;
		case 1086:r+="&#1075;&#1048;";break;
		case 1087:r+="&#1048;";break;
		case 1088:r+="&#1075;&#1048;";break;

	        case 1089:r+="&#1054;";break;
	        case 1090:r+="&#1054;";break;
	        case 1091:r+="&#1080;";break;
	        case 1092:r+="&#1086;";break;
	        case 1093:r+="&#1075;&#1086;";break;
	        case 1094:r+="&#1054;";break;
	        case 1095:r+="&#1075;&#1054;";break;
	        case 1096:r+="&#1054;";break;
	        case 1097:r+="&#1075;&#1054;";break;
	        case 1098:r+="&#1080;";break;
	        case 1099:r+="&#1089;";break;
	        case 1101:r+="&#1048;";break;
	        case 1102:r+="&#1048;";break;
	        case 1105:r+="&#1048;";break;
	        case 1106:r+="&#1040;";break;
	        case 1107:r+="";break;
	        case 1108:r+="&#1048;";break;
	        case 1109:case 1110:r+="&#1048;";break;
	        case 1111:r+="&#1075;&#1048;";break;
	        case 1112:r+="&#1080;";break;
	        case 1113:r+="&#1075;&#1072;";break;
	        case 1114:r+="&#1075;&#1040;";break;
	        case 1115:r+="&#1075;&#1040;";break;
	        case 1116:r+="&#1040;";break;
	        case 1118:r+="&#1069;";break;
	        case 1119:r+="&#1040;";break;
	        case 1168:r+="&#1075;&#1101;";break;
	        case 1169:r+="&#1075;&#1048;";break;
		
		case 8211:r+='&#1040;';break;
		case 8212:r+='&#1040;';break;
		case 8216:r+='&#1075;&#1040;';break;
		case 8217:r+='&#1040;';break;
		case 8218:r+='';break;
		case 8220:r+='&#1075;&#1040;';break;
		case 8221:r+='&#1040;';break;
		case 8222:switch (s.charAt(t+1)){case "R":break;default:r+='&#1075;';}break;
		case 8224: case 1033: case 228: r+='&#1075;';switch (s.charAt(t+1)) {
		        	case "A":r+='&#1040;';t++;break;
				case "E":r+='&#1069;';t++;break;
				case "H":r+='&#1048;';t++;break;
				case "I":r+='&#1048;';t++;break;
				case "O":r+='&#1054;';t++;break;
				case "U":r+='&#1048;';t++;break;
				case "V":r+='&#1054;';t++;break;
			}
			break;
		case 8225:case 8230:switch (s.charAt(t+1)) {
		        	case "A":r+='&#1040;';t++;break;
				case "E":r+='&#1069;';t++;break;
				case "H":r+='&#1048;';t++;break;
				case "I":r+='&#1048;';t++;break;
				case "O":r+='&#1054;';t++;break;
				case "U":r+='&#1048;';t++;break;
				case "V":r+='&#1054;';t++;break;
			}
			break;
		case 8225:r+='';break;
		case 8226:r+='&#1075;&#1040;';break;
		case 8230:r+='';break;
		case 8240:r+='';break;
		case 8249:r+='&#1040;';break;
		case 8250:r+='&#1040;';break;
		case 8364:r+='&#1075;';break;

		case 8470:r+='&#1048;';break;
		//default: r+='+'+s.charCodeAt(t)+'+';document.write(r);
	}
  }
}
  //r+=" ( ";for (t=0;t<s.length;t++) r+=s.charCodeAt(t)+" ";r+=")";

  return r;
}


function diftongER(s,t,v,V){
 switch(s.charCodeAt(t+1)){
  case 73:return v+"&#1081;";
  case 85:return v+"&#1091;";
  case 105:return v+"&#1081;";
  case 117:return v+"&#1091;";
  case 1067:return V+"&#1081;";
  case 1068:return V+"&#1081;";
  case 1069:return V+"&#1081;";
  case 1070:return v+"&#1081;";
  case 1071:return "&#1075;"+v+"&#1081;";
  case 1072:return V+"&#1081;";
  case 1073:return "&#1075;"+V+"&#1081;";
  case 1075:return "&#1075;"+V+"&#1081;";
  case 1076:return V+"&#1081;";
  case 1077:return "&#1075;"+V+"&#1081;";
  case 1078:return V+"&#1091;";
  case 1079:return V+"&#1091;";
  case 1080:return v+"&#1091;";
  case 1081:return v+"&#1091;";
  case 1082:return "&#1075;"+v+"&#1091;";
  case 1083:return V+"&#1091;";
  case 1084:return "&#1075;"+V+"&#1091;";
  case 1085:return V+"&#1091;";
  case 1086:return "&#1075;"+V+"&#1091;";
  case 1087:return V+"&#1091;";
  case 1088:return "&#1075;"+v+"&#1091;";
  default: return "";
 }
}

function digraphER(s,t,v,V){
 if (s.length<t+1) return "";
 switch(s.charAt(t+1)){
  case "U":case "u":return "&#1091;";
  default: switch(s.charCodeAt(t+1)){
   case 1078:return "&#1059;";
   case 1079:return "&#1059;";
   case 1080:return "&#1059;";
   case 1081:return "&#1091;";
   case 1084:return "&#1075;&#1059;";
   case 1085:return "&#1059;";
   case 1086:return "&#1075;&#1059;";
   case 1087:return "&#1059;";
   case 1088:return "&#1075;&#1059;";
   default: return diftongER(s,t,v,V);
  }
 }
}

function translitER(s){
r='';
for (t=0;t<s.length;t++) {
 switch(s.charAt(t)) {
	case "A": case "a":d=diftongER(s,t,"&#1072;","&#1040;");if(d!="") {r+=d;t++;} else r+="&#1072;";break;
	case "B": case "b":r+="&#1073;";break;
	case "G": case "g":if (t){switch(s.charAt(t+1)) {case "G":case "g":case "K":case "k":case "X":case "x":case "J":case "j":r+="&#1085;";break; default: r+="&#1075;";}} else r+="&#1075;";break;
	case "D": case "d":r+="&#1076;";break;
	case "E": case "e":d=diftongER(s,t,"&#1101;","&#1069;");if(d!="") {r+=d;t++;} else r+="&#1101;";break;
	case "Z": case "z":r+="&#1076;&#1079;";break;
	case "H": case "h": d=diftongER(s,t,"&#1101;","&#1069;");if(d!="") {r+=d;t++;} else r+="&#1101;";break;
	case "Y": case "y":r+="&#1090;&#1093;";break;
	case "I": case "i":r+="&#1080;";break;
	case "K": case "k":r+="&#1082;";break;
	case "L": case "l":r+="&#1083;";break;
	case "M": case "m":r+="&#1084;";break;
	case "N": case "n":r+="&#1085;";break;
	case "J": case "j":r+="&#1082;&#1089;";break;
	case "O": case "o":d=digraphER(s,t,"&#1086;","&#1054;");if (d!="") {r+=d; t++;} else r+="&#1086;";break;
	case "P": case "p":r+="&#1087;";break;
	case "R": case "r":r+="&#1088;";break;
	case "S": case "s": case "w":r+="&#1089;";break;
	case "T": case "t":r+="&#1090;";break;
	case "U": case "u":switch(s.charCodeAt(t+1)){case 1071:r+="&#1075;&#1102;&#1081;";t++;break;default:r+="&#1102;";}break;
	case "F": case "f":r+="&#1092;";break;
	case "X": case "x":r+="&#1093;";break;
	case "C": case "c":r+="&#1087;&#1089;";break;
	case "V": case "v":r+="&#1086;";break;
	default: switch(s.charCodeAt(t)) {
		case 35:r+="&#1102;";break;
		case 38:r+="&#1072;";break;
		case 44:r+=" ";break;
		case 61:r+="&#1088;";break;
		case 64:r+="&#1070;";break;
		case 123:r+=" ";break;
		case 125:r+=" ";break;
		case 152:r+="&#1040;";break;
		case 161:r+="&#1075;&#1069;";break;
		case 162:r+="&#1069;";break;
		case 163:r+="&#1070;";break;
		case 164:r+="&#1101;";break;
		case 165:r+="&#1075;&#1069;";break;
		case 166:r+="&#1069;";break;
		case 167:r+="&#1075;&#1069;";break;
		case 169:r+="&#1075;&#1069;";break;
		case 170:r+="&#1069;";break;
		case 172:r+="&#1069;";break;
		case 174:r+="&#1069;";break;
		case 175:r+="&#1054;";break;
		case 176:r+="&#1069;";break;
		case 177:r+="&#1101;";break;
		case 181:r+="&#1069;";break;
		case 182:r+="&#1075;&#1069;";break;
		case 183:r+="&#1069;";break;
		case 186:r+="&#1101;";break;
		case 187:r+="&#1069;";break;
		case 191:r+="&#1069;";break;
		case 192:r+="&#1075;&#1054;";break;
		case 193:r+="&#1070;";break;
		case 194:r+="&#1075;&#1048;";break;
		case 195:r+="&#1054;";break;
		case 198:r+="&#1069;";break;
		case 200:r+="&#1102;";break;
		case 201:r+="";break;
		case 202:r+="&#1070;";break;
		case 203:r+="&#1070;";break;
		case 204:r+="&#1070;";break;
		case 205:r+="&#1075;&#1102;";break;
		case 206:r+="&#1070;";break;
		case 207:r+="&#1075;&#1070;";break;
		case 209:r+="&#1075;";break;
		case 210:r+="&#1054;";break;
		case 211:r+="&#1075;&#1070;";break;
		case 212:r+="&#1070;";break;
		case 213:r+="&#1075;&#1054;";break;
		case 216:r+="&#1069;";break;
		case 217:r+="&#1086;";break;
		case 218:r+="&#1054;";break;
		case 219:r+="&#1080;";break;
		case 223:r+="&#1075;&#1069;";break;
		case 227:r+="&#1040;";break;
		//case 228: see next
		case 229:r+="&#1040;";break;
		case 230:r+="&#1069;";break;
		case 231:r+="&#1040;";break;
		case 232:r+="&#1075;&#1072;";break;
		case 233:r+="&#1072;";break;
		case 234:r+="&#1040;";break;
		case 235:r+="&#1075;&#1040;";break;
		case 236:r+="&#1075;&#1040;";break;
		case 237:r+="&#1040;";break;
		case 238:r+="&#1040;";break;
		case 239:r+="&#1075;&#1040;";break;
		case 241:r+="&#1040;";break;
		case 243:r+="&#1040;";break;
		case 244:r+="&#1072;";break;
		case 245:r+="&#1040;";break;
		case 246:r+="&#1075;&#1072;";break;
		case 247:r+="&#1075;&#1054;";break;
		case 248:r+="&#1075;&#1069;";break;
		case 249:r+="&#1040;";break;
		case 250:r+="&#1075;&#1040;";break;
		case 251:r+="&#1075;&#1040;";break;
		case 252:r+="&#1040;";break;
		case 255:r+="&#1075;&#1054;";break;
		case 1025:r+="&#1069;";break;
		case 1028:r+="&#1075;&#1040;";break;
		case 1029:case 1030:r+="&#1075;&#1101;";break;
		case 1031:r+="&#1069;";break;
		case 1032:r+="&#1070;";break;
		//case 1033: see next
		case 1034:r+="&#1040;";break;
		case 1035:r+="&#1072;";break;
		case 1036:r+="&#1040;";break;
		case 1038:r+="&#1069;";break;
		case 1039:r+="&#1075;&#1072;";break;
		case 1040:r+="&#1069;";break;
		case 1041:r+="&#1075;&#1069;";break;
		case 1042:r+="&#1069;";break;
		case 1043:r+="&#1075;&#1069;";break;
		case 1044:r+="&#1086;";break;
		case 1045:r+="&#1054;";break;
		case 1046:r+="&#1054;";break;
		case 1047:r+="&#1054;";break;
		case 1048:r+="&#1086;";break;
		case 1049:r+="&#1075;&#1086;";break;
		case 1050:r+="&#1054;";break;
		case 1051:r+="&#1075;&#1054;";break;
		case 1052:r+="&#1054;";break;
		case 1053:r+="&#1075;&#1054;";break;
		case 1054:r+="&#1054;";break;
		case 1055:r+="&#1075;&#1054;";break;
		case 1056:r+="&#1054;";break;
		case 1057:r+="&#1054;";break;
		case 1058:r+="&#1054;";break;
		case 1059:r+="&#1086;";break;
		case 1060:r+="&#1075;&#1086;";break;
		case 1061:r+="&#1054;";break;
		case 1062:r+="&#1075;&#1054;";break;
		case 1063:r+="&#1086;";break;
		case 1064:r+="&#1075;&#1086;";break;
		case 1065:r+="&#1086;";break;
		case 1066:r+="&#1075;&#1054;";break;

		case 1067:r+="&#1048;";break;
		case 1068:r+="&#1048;";break;
		case 1069:r+="&#1048;";break;
		case 1070:r+="&#1080;";break;
		case 1071:r+="&#1075;&#1080;";break;
		case 1072:r+="&#1048;";break;
		case 1073:r+="&#1075;&#1048;";break;
		case 1074:r+="&#1048;";break;
		case 1075:r+="&#1075;&#1048;";break;
		case 1076:r+="&#1048;";break;
		case 1077:r+="&#1075;&#1048;";break;

		case 1078:r+="&#1070;";break;
		case 1079:r+="&#1070;";break;
		case 1080:r+="&#1070;";break;
		case 1081:r+="&#1102;";break;
		case 1082:r+="&#1075;&#1102;";break;
		case 1083:r+="&#1070;";break;
		case 1084:r+="&#1075;&#1070;";break;
		case 1085:r+="&#1070;";break;
		case 1086:r+="&#1075;&#1070;";break;
		case 1087:r+="&#1070;";break;
		case 1088:r+="&#1075;&#1070;";break;

	        case 1089:r+="&#1054;";break;
	        case 1090:r+="&#1054;";break;
	        case 1091:r+="&#1080;";break;
	        case 1092:r+="&#1086;";break;
	        case 1093:r+="&#1075;&#1086;";break;
	        case 1094:r+="&#1054;";break;
	        case 1095:r+="&#1075;&#1054;";break;
	        case 1096:r+="&#1054;";break;
	        case 1097:r+="&#1075;&#1054;";break;
	        case 1098:r+="&#1101;";break;
	        case 1099:r+="&#1089;";break;
	        case 1101:r+="&#1048;";break;
	        case 1102:r+="&#1048;";break;
	        case 1105:r+="&#1069;";break;
	        case 1106:r+="&#1040;";break;
	        case 1107:r+="";break;
	        case 1108:r+="&#1069;";break;
	        case 1109:case 1110:r+="&#1069;";break;
	        case 1111:r+="&#1075;&#1069;";break;
	        case 1112:r+="&#1101;";break;
	        case 1113:r+="&#1075;&#1072;";break;
	        case 1114:r+="&#1075;&#1040;";break;
	        case 1115:r+="&#1075;&#1040;";break;
	        case 1116:r+="&#1040;";break;
	        case 1118:r+="&#1069;";break;
	        case 1119:r+="&#1040;";break;
	        case 1168:r+="&#1075;&#1101;";break;
	        case 1169:r+="&#1075;&#1069;";break;
		
		case 8211:r+='&#1040;';break;
		case 8212:r+='&#1040;';break;
		case 8216:r+='&#1075;&#1040;';break;
		case 8217:r+='&#1040;';break;
		case 8218:r+='';break;
		case 8220:r+='&#1075;&#1040;';break;
		case 8221:r+='&#1040;';break;
		case 8222:switch (s.charAt(t+1)){case "R":break;default:r+='&#1075;';}break;
		case 8224:case 1033:case 228:r+='&#1075;';switch (s.charAt(t+1)) {
		        	case "A":r+='&#1040;';t++;break;
				case "E":r+='&#1069;';t++;break;
				case "H":r+='&#1069;';t++;break;
				case "I":r+='&#1048;';t++;break;
				case "O":r+='&#1054;';t++;break;
				case "U":r+='&#1070;';t++;break;
				case "V":r+='&#1054;';t++;break;
			}
			break;
		case 8225:case 8230:switch (s.charAt(t+1)) {
		        	case "A":r+='&#1040;';t++;break;
				case "E":r+='&#1069;';t++;break;
				case "H":r+='&#1069;';t++;break;
				case "I":r+='&#1048;';t++;break;
				case "O":r+='&#1054;';t++;break;
				case "U":r+='&#1070;';t++;break;
				case "V":r+='&#1054;';t++;break;
			}
			break;
		case 8225:r+='';break;
		case 8226:r+='&#1075;&#1040;';break;
		case 8230:r+='';break;
		case 8240:r+='';break;
		case 8249:r+='&#1040;';break;
		case 8250:r+='&#1040;';break;
		case 8364:r+='&#1075;';break;

		case 8470:r+='&#1048;';break;
//		default: r+='+'+s.charCodeAt(t)+'+';document.write(r);
	}
  }
}
  //r+=" ( ";for (t=0;t<s.length;t++) r+=s.charCodeAt(t)+" ";r+=")";

  return r;
}


function getCookie(Name) {
 var search = Name + "=";
 if (document.cookie.length > 0) {
  offset = document.cookie.indexOf(search);
  if (offset != -1) {
   offset += search.length;
   end = document.cookie.indexOf(";", offset);
   if (end == -1) end = document.cookie.length;
   return unescape(document.cookie.substring(offset, end));
  }
 }
}

function translit(s){
 if (getCookie("Underliner_Transcription")=="ER") return translitER(s); else if (getCookie("Underliner_Transcription")=="no") return ""; else return translitYR(s);
}


function Uni(s){
r='';
for (t=0;t<s.length;t++) {
 switch(s.charAt(t)) {
	case "A": r+=unescape("%u0391");break;
	case "B": r+=unescape("%u0392");break;
	case "G": r+=unescape("%u0393");break;  
	case "D": r+=unescape("%u0394");break;
	case "E": r+=unescape("%u0395");break;
	case "Z": r+=unescape("%u0396");break;
	case "H": r+=unescape("%u0397");break;
	case "Y": r+=unescape("%u0398");break; 
	case "I": r+=unescape("%u0399");break;
	case "K": r+=unescape("%u039a");break;
	case "L": r+=unescape("%u039b");break;
	case "M": r+=unescape("%u039c");break;
	case "N": r+=unescape("%u039d");break;
	case "J": r+=unescape("%u039e");break; 
	case "O": r+=unescape("%u039f");break;
	case "P": r+=unescape("%u03a0");break;
	case "R": r+=unescape("%u03a1");break;
	case "S": r+=unescape("%u03a3");break;
	case "T": r+=unescape("%u03a4");break;
	case "U": r+=unescape("%u03a5");break;
	case "F": r+=unescape("%u03a6");break;
	case "X": r+=unescape("%u03a7");break;
	case "C": r+=unescape("%u03a8");break;
	case "V": r+=unescape("%u03a9");break;

	case "a": r+=unescape("%u03b1");break;
	case "b": r+=unescape("%u03b2");break;
	case "g": r+=unescape("%u03b3");break;
	case "d": r+=unescape("%u03b4");break;
	case "e": r+=unescape("%u03b5");break;
	case "z": r+=unescape("%u03b6");break;
	case "h": r+=unescape("%u03b7");break;
	case "y": r+=unescape("%u03b8");break;
	case "i": r+=unescape("%u03b9");break;
	case "k": r+=unescape("%u03ba");break;
	case "l": r+=unescape("%u03bb");break;
	case "m": r+=unescape("%u03bc");break;
	case "n": r+=unescape("%u03bd");break;
	case "j": r+=unescape("%u03be");break;
	case "o": r+=unescape("%u03bf");break;
	case "p": r+=unescape("%u03c0");break;
	case "r": r+=unescape("%u03c1");break;
	case "s": r+=unescape("%u03c3");break;
	case "t": r+=unescape("%u03c4");break;
	case "u": r+=unescape("%u03c5");break;
	case "f": r+=unescape("%u03c6");break;
	case "x": r+=unescape("%u03c7");break;
	case "c": r+=unescape("%u03c8");break;
	case "v": r+=unescape("%u03c9");break;
	case "w": r+=unescape("%u03c2");break;

	default: switch(s.charCodeAt(t)) {
		//case 8249: r+=unescape("%u1f71");break;
		case 8249: r+=unescape("%u03ac");break;
		case 1067: r+=unescape("%u03af");break;
		//default: r+=s.charCodeAt(t)+',';
                default: r+=r+=unescape("%u03af");break;
	}


 }
}
return r;	
}   

function doTip(s,s2){
 sj="Tip('<iframe src=&#92&#39"+s+"&#92&#39 width=400 height=150></iframe>',ABOVE, true, TITLE, '"+s2+"')";
 sj=' onmouseover="'+sj+'" onmouseout="UnTip()"';
 return sj;
}

function doTip2(s,s2){
 sj="Tip('<iframe src=&#92&#39"+s+"&#92&#39 width=400 height=150></iframe>',ABOVE, true, TITLE, '"+s2+"')";
 sj=' onmouseover="'+sj+'" onmouseout="UnTip()"';
 return sj;
}

UniEncoding=(getCookie("Greek_Encoding")=="UNICODE");
R=""+location;b=R.indexOf("#");R=R.substr(b+1,R.length);s="";R=unescape(R);
s="";

document.write('<script type="text/javascript" src="../SUPP/tt.js"></script>');

for(i=0;i<a.length;i+=3){
 m=a[i].split(" ");
 if(b==-1 || m[0]==R){
  z='0000'+m[3];
  z=z.substr(z.length-4,2);
  if (UniEncoding)
   s+="<sup title='"+translit(m[0])+"'><font face='Arial'>"+Uni(m[0])+"</font> <sub><a href='strong.htm#"+m[3]+"' target='_blank' title=''><font color=purple>"+m[3]+"</font></a>";
  else 
   s+="<sup title='"+translit(m[0])+"'>"+m[0]+" <sub><a href='S/g"+z+".htm#"+m[3]+"' target='_blank' title=''"+doTip2("S/g"+z+".htm#"+m[3]+";t","  - "+m[3])+" class='tip' style='border-bottom-color: purple'><font color=purple>"+m[3]+"</font></a>";
  n=m[4].split("~");
  for(t=0;t<n.length;t++)s+=" <a href='morph.htm#"+n[t]+"' target='_blank' title=''"+doTip("morph.htm#"+n[t]+";t",n[t])+" class='tip' style='border-bottom-color: green'><font color=green>"+n[t]+"</font></a>";
  s+="</sub></sup><br>";
  e=a[i+1].split("~");
  for(T=0;T<e.length;T+=3){
   n=e[T+2].split(";");
   s+="<li><nobr><a href='R/r.htm#"+escape(e[T])+"' target='_blank'><b>"+e[T]+"</b></a> ("+e[T+1]+") <i>";
   for(v=0;v<n.length;v++){
    if(n[v]!=""){
     k=n[v].split(",");
     for(w=0;w<k.length;k++)if(k[w]!="" || k[w+2]!="")s+="<a href='../"+k[w]+k[w+2]+".htm#"+escape(unescape(e[T]))+"' target='_blank'>"+k[w+1]+" "+k[w+2]+"</a>;";else s+=k[w+1];
    }
   }
   s+="</i></nobr><br>";
  }
  if(m[1]!="") {
   s+="<br>&#1089;&#1083;.&#1092;. <a href='D/"+m[2]+".htm#"+escape(m[1])+"' target='_blank' title='"+translit(m[1])+"'>";
   if (UniEncoding) 
    s+="<dfn><font face='Arial' color=#5f0000 size=5>"+Uni(m[1])+"</font></dfn></a>";
   else 
    s+="<dfn><font color=#5f0000 size=5>"+m[1]+"</font></dfn></a>";
  }	
  e=a[i+2].split("~");
  if(a[i+2]!=""){
   s+="<br> &#1089;&#1084;.&#1090;.";
   if (UniEncoding)
    for(T=0;T<e.length;T+=2)s+=" <a href='"+e[T]+".htm#"+escape(e[T+1])+"' target='_blank' title='"+translit(e[T+1])+"'><dfn><font face='Arial'>"+Uni(e[T+1])+"</font></dfn></a>";
   else 
    for(T=0;T<e.length;T+=2)s+=" <a href='"+e[T]+".htm#"+escape(e[T+1])+"' target='_blank' title='"+translit(e[T+1])+"'><dfn>"+e[T+1]+"</dfn></a>";
  }
  if(!(i&31)){g=100*i/a.length;status=g-g%1+"%";}
  s+="<hr><br>";
 }
}
status="";
s+="<P ALIGN='RIGHT'><a href='gr_simph.html' target=_parent><span lang=RU>&#1043;&#1088;&#1077;&#1095;&#1077;&#1089;&#1082;&#1086;-&#1088;&#1091;&#1089;&#1089;&#1082;&#1072;&#1103; &#1089;&#1080;&#1084;&#1092;&#1086;&#1085;&#1080;&#1103;</span></a><br><a href='../index.htm' target=_parent><span lang=RU>&#1055;&#1086;&#1076;&#1089;&#1090;&#1088;&#1086;&#1095;&#1085;&#1099;&#1081; &#1087;&#1077;&#1088;&#1077;&#1074;&#1086;&#1076;</span></a><br><a href='http://www.bible.in.ua'><small>www.bible.in.ua</small></a></P>";
document.write(s);
//document.write('<SCRIPT LANGUAGE="Javascript" SRC="http://www.bible.in.ua/d.php?show=0&page=underl&date=260207"></SCRIPT>');
